Search found 1360 matches

Go to advanced search

by Chris_G
Mon Aug 03, 2020 8:14 am
Forum: Open discussion
Topic: Curves workbench
Replies: 709
Views: 71649

Re: Curves workbench

GlouGlou wrote:
Thu Jul 30, 2020 8:17 pm
Suggested improvement:
SplitCurve on an unique a point with a mm dimension, that's could be parametrize able.
I have added 2 new properties to SplitCurve :
- Distance : is a single-value field that is expression-ready
- Cutting Objects : will cut the curve at its nearest point
split_curve_2.png
split_curve_2.png (56.43 KiB) Viewed 62 times
by Chris_G
Fri Jul 31, 2020 5:13 pm
Forum: Open discussion
Topic: Curves workbench
Replies: 709
Views: 71649

Re: Curves workbench

It is already possible to enter mm values, from curve start (positive values) or from the curve end (negative values) :
split_curve.png
split_curve.png (70.47 KiB) Viewed 171 times
by Chris_G
Wed Jul 29, 2020 8:00 am
Forum: Forum français
Topic: Ajouter des informations de type d'ajustement de contrainte
Replies: 13
Views: 396

Re: Ajouter des informations de type d'ajustement de contrainte

Le bout de code que j'ai posté était juste un exemple.
Ça sert à rien de le copier / coller tel quel.
Ce qu'il faut, c'est que tu remplaces toutes les lignes :

Code: Select all

obj.addProperty(...)
par

Code: Select all

for obj in FreeCADGui.Selection.getSelection():
    obj.addProperty(...)
by Chris_G
Mon Jul 27, 2020 12:41 pm
Forum: Forum français
Topic: Ajouter des informations de type d'ajustement de contrainte
Replies: 13
Views: 396

Re: Ajouter des informations de type d'ajustement de contrainte

le problème que les informations sont enregistrées que pour la première pièce C'est normal, tu ne stocke dans obj que la première des selections (le [0]) Si tu veux tous les objets sélectionnés, il faut parcourir la liste : sel = FreeCADGui.Selection.getSelection() for obj in sel: print(obj.Label)
by Chris_G
Sat Jul 25, 2020 5:05 pm
Forum: Forum français
Topic: Normale d'une Face
Replies: 16
Views: 462

Re: Normale d'une Face

Ton objet FeaturePython (Normal) doit etre lié à la face. Donc il faut lui ajouter une propriété "PropertyLinkSub" : class Normal: def __init__(self, obj, face): ... obj.addProperty("App::PropertyLinkSub","Target","Parameters","Target face").Target = face Et il faut donc initialiser le Proxy avec le...
by Chris_G
Sat Jul 25, 2020 7:26 am
Forum: Python scripting and macros
Topic: Subtractive Pipe
Replies: 2
Views: 138

Re: Subtractive Pipe

Code: Select all

this_pipe.Spine = (App.ActiveDocument.Box, ['Edge3'])
by Chris_G
Fri Jul 24, 2020 5:31 pm
Forum: Python scripting and macros
Topic: the normal of a face
Replies: 7
Views: 217

Re: the normal of a face

Code: Select all

maFace = object.Shape.Face3
or

Code: Select all

maFace = object.Shape.Faces[2]
by Chris_G
Fri Jul 24, 2020 1:10 pm
Forum: Forum français
Topic: mesure de la longueur d'une spirale
Replies: 9
Views: 202

Re: mesure de la longueur d'une spirale

je ne comprends pas pourquoi la spirale "explose" quand on choisit un diamètre intérieur important (60 mm par exemple) Je pense que c'est la même chose que ce qui arrivait à l'hélice autrefois : OpenCascade se prend les pieds dans le tapis quand il faut générer une BSpline trop longue. C'est pour é...
by Chris_G
Wed Jul 22, 2020 2:32 pm
Forum: Forum français
Topic: FreeCAD 0.19 débutants : Appliquer une esquisse (sketch) sur une surface arrondie
Replies: 2
Views: 158

Re: FreeCAD 0.19 débutants : Appliquer une esquisse (sketch) sur une surface arrondie

Bonjour JP, Super vidéo. Merci. Pour information, les opérations de calcul de cet outil peuvent être assez longues, voir échouer. C'est pourquoi, par défaut, "FillFaces" est à Faux, et l'épaisseur à 0.0 Les dernières modifications ont ajouté une nouvelle propriété "Extra Objects". Ces objets seront ...

Go to advanced search